Skip to main content
GET
/
api
/
v1
/
thematics-overview
Domain Thematic Overview
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/thematics-overview \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "thematic": "<string>",
    "top_3_competitors": [
      "<string>"
    ],
    "topic": "<string>",
    "num_of_queries": 123,
    "num_of_topics": 123,
    "visibility_score": 123,
    "presence_rate": 123,
    "avg_ranking": 123,
    "presence_rate_prev_collect": 123,
    "average_rank_prev_collect": 123,
    "presence_rate_total": 123,
    "presence_rate_occurrences": 123,
    "presence_rate_prev_collect_occurrences": 123,
    "presence_rate_prev_collect_total": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
prev_collect_id
string | null
prev_collect_ids
string[] | null
project_id
string
required

Project Id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string[]
required

Thematic

keyword_type
enum<string>[]
required

Keyword Type

Available options:
Generic,
Brand
client_id
string
required

Client id

Response

Successful Response

id
string
required
thematic
string
required
top_3_competitors
string[]
required
topic
string | null
required
num_of_queries
integer | null
num_of_topics
integer | null
visibility_score
integer | null
presence_rate
integer | null
avg_ranking
number | null
presence_rate_prev_collect
integer | null
average_rank_prev_collect
number | null
presence_rate_total
integer | null
presence_rate_occurrences
integer | null
presence_rate_prev_collect_occurrences
integer | null
presence_rate_prev_collect_total
integer | null